Get Transaction Request by ID
GET /obp/v7.0.0/management/transaction-requests/TRANSACTION_REQUEST_ID
OBPv5.1.0-getTransactionRequestById Roles: CanGetTransactionRequestAtOneBank(per bank),CanGetTransactionRequestAtAnyBank Transaction-RequestPayment Initiation Service (PIS)PSD2
Returns transaction request for transaction specified by TRANSACTION_REQUEST_ID.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
TRANSACTION_REQUEST_ID: 8138a7e4-6d02-40e3-a129-0b2bf89de9f1
JSON response body fields (57)
- account
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- agent_number
- 5987953
- allowed_attempts
- 5
- amount
- 10.12
- bank_code
- CGHZ
- bank_id
- gh.29.uk
- branch_number
- challenge
- challenge_type
- charge
- counterparty_id
- 9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh
- creditorAccount
- creditorName
- currency
- EUR
- date_of_birth
- 2018-03-09
- debtorAccount
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- details
- end_date
- from
- future_date
- 20200127
- iban
- DE91 1000 0000 0123 4567 89
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- instructedAmount
- 100
- kyc_document
- legal_name
- Eveline Tripman
- message
- 123456
- mobile_phone_number
- +49 30 901820
- name
- ACCOUNT_MANAGEMENT_FEE
- nickname
- number
- otherAccountRoutingAddress
- otherAccountRoutingAddress
- otherAccountRoutingScheme
- otherAccountRoutingScheme
- otherAccountSecondaryRoutingAddress
- otherAccountSecondaryRoutingAddress
- otherAccountSecondaryRoutingScheme
- otherAccountSecondaryRoutingScheme
- otherBankRoutingAddress
- otherBankRoutingAddress
- otherBankRoutingScheme
- otherBankRoutingScheme
- otherBranchRoutingAddress
- otherBranchRoutingAddress
- otherBranchRoutingScheme
- otherBranchRoutingScheme
- start_date
- 2020-01-27
- status
- summary
- to
- transaction_ids
- transfer_type
- type
- value
- 5987953
- to_agent
- to_agent
- to_counterparty
- to_sandbox_tan
- to_sepa
- to_sepa_credit_transfers
- to_simple
- to_simple
- to_transfer_to_account
- to_transfer_to_atm
- to_transfer_to_phone
Example success response
{
"id": "4050046c-63b3-4868-8a22-14b4181d33a6",
"type": "SANDBOX_TAN",
"from": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
},
"details": {
"to_sandbox_tan": {
"bank_id": "String",
"account_id": "String"
},
"to_sepa": {
"iban": "String"
},
"to_counterparty": {
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"to_simple": {
"otherBankRoutingScheme": "BIC",
"otherBankRoutingAddress": "GENODEM1GLS",
"otherBranchRoutingScheme": "BRANCH-CODE",
"otherBranchRoutingAddress": "DERBY6",
"otherAccountRoutingScheme": "IBAN",
"otherAccountRoutingAddress": "DE91 1000 0000 0123 4567 89",
"otherAccountSecondaryRoutingScheme": "IBAN",
"otherAccountSecondaryRoutingAddress": "DE91 1000 0000 0123 4567 89"
},
"to_transfer_to_phone": {
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "String",
"message": "String",
"from": {
"mobile_phone_number": "+44 07972 444 876",
"nickname": "String"
},
"to": {
"mobile_phone_number": "+44 07972 444 876"
}
},
"to_transfer_to_atm": {
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "String",
"message": "String",
"from": {
"mobile_phone_number": "+44 07972 444 876",
"nickname": "String"
},
"to": {
"legal_name": "Eveline Tripman",
"date_of_birth": "20181230",
"mobile_phone_number": "+44 07972 444 876",
"kyc_document": {
"type": "String",
"number": "String"
}
}
},
"to_transfer_to_account": {
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "String",
"transfer_type": "String",
"future_date": "20181230",
"to": {
"name": "String",
"bank_code": "String",
"branch_number": "String",
"account": {
"number": "String",
"iban": "String"
}
}
},
"to_sepa_credit_transfers": {
"debtorAccount": {
"iban": "12345"
},
"instructedAmount": {
"currency": "EUR",
"amount": "0"
},
"creditorAccount": {
"iban": "54321"
},
"creditorName": "John Miles"
},
"to_agent": {
"bank_id": "gh.29.uk",
"agent_number": "5987953"
},
"value": {
"currency": "EUR",
"amount": "100"
},
"description": "Description of the object. Maximum length is 2000. It can be any characters here."
},
"transaction_ids": [
"902ba3bb-dedd-45e7-9319-2fd3f2cd98a1"
],
"status": "COMPLETED",
"start_date": "1100-01-01T00:00:00Z",
"end_date": "1100-01-01T00:00:00Z",
"challenge": {
"id": "be1a183d-b301-4b83-b855-5eeffdd3526f",
"allowed_attempts": 3,
"challenge_type": "SANDBOX_TAN"
},
"charge": {
"summary": "Rent the flat",
"value": {
"currency": "EUR",
"amount": "0"
}
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-60010: Get Transaction Requests Exception.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: